﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;


namespace InfragisticsRibbonSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            //  Create a List tool that can be added to the PopupMenu tool
            ListTool FilesTool = new ListTool("Files");
            FilesTool.ListToolItems.Add("doc1", "Document 1");
            FilesTool.ListToolItems.Add("doc2", "Document 2");
            FilesTool.ListToolItems.Add("doc3", "Document 3");
            this.ultraToolbarsManager1.Tools.Add(FilesTool);

            // Create a PopupMenu tool that will be displayed in the navigation menu
            PopupMenuTool popupMenu1 = new PopupMenuTool("PopupFiles");
            popupMenu1.Settings.PopupStyle = PopupStyle.Menu;
            popupMenu1.SharedProps.Caption = "Files";

            // Add the PopupMenu tool to the UltraToolbarsManager tool collection
            this.ultraToolbarsManager1.Tools.Add(popupMenu1);
            popupMenu1.Tools.AddTool("Files");

            // Add the Popup tool to the navigation menu of the Office 2010-style application menu
            ApplicationMenu2010 appmenu2010 = this.ultraToolbarsManager1.Ribbon.ApplicationMenu2010;
            appmenu2010.NavigationMenu.Tools.AddTool("PopupFiles");

        }

        private void ultraToolbarsManager1_ToolClick(object sender, ToolClickEventArgs e)
        {
            switch (e.Tool.Key)
            {
                case "Files":

                    var targetDoc = e.ListToolItem;
                    // Place code here
                    break;


                default:
                    break;
            }
        }
    }
}
